using System;
using System.Collections.Generic;
using Script.Gameplay.Player;
using UnityEngine;
using Script.Gameplay.Interface;

namespace Script.Gameplay.Facility
{
    public class FacilityEditableController : MonoBehaviour, IEditable
    {
        public void OnGazeEnter(PlayerEditController editor)
        {
            
        }

        public void OnGazeExit(PlayerEditController editor)
        {
            
        }

        public void BeginEdit()
        {
            
        }

        public void EndEdit()
        {
            
        }

        public List<IEditableComponent> GetEditableComponents()
        {
            var components = new List<IEditableComponent>();
            foreach (var mb in GetComponentsInChildren<MonoBehaviour>(true))
            {
                if (mb is IEditableComponent editableComponent)
                {
                    components.Add(editableComponent);
                }
            }
            return components;
        }
    }
}